Qwt User's Guide: QwtDialSimpleNeedle Class Reference

Qwt User's Guide 6.1.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
QwtDialSimpleNeedle Class Reference

A needle for dial widgets. More...

`#include <qwt_dial_needle.h>`

Inheritance diagram for QwtDialSimpleNeedle:
[legend]

## Public Types

enum | Style { Arrow, Ray }
| Style of the needle. More...

## Public Member Functions

| QwtDialSimpleNeedle (Style, bool hasKnob=true, const QColor &mid=Qt::gray, const QColor &base=Qt::darkGray)
void | setWidth (double width)
double | width () const
Public Member Functions inherited from QwtDialNeedle
| QwtDialNeedle ()
| Constructor.
virtual | ~QwtDialNeedle ()
| Destructor.
virtual void | setPalette (const QPalette &)
const QPalette & | palette () const
virtual void | draw (QPainter *painter, const QPointF &center, double length, double direction, QPalette::ColorGroup=QPalette::Active) const

## Protected Member Functions

virtual void | drawNeedle (QPainter *, double length, QPalette::ColorGroup) const
Protected Member Functions inherited from QwtDialNeedle
virtual void | drawKnob (QPainter *, double width, const QBrush &, bool sunken) const
| Draw the knob.

## Detailed Description

A needle for dial widgets.

The following colors are used:

- QPalette::Mid
  Pointer
- QPalette::Base
  Knob

See Also
  QwtDial, QwtCompass

## Member Enumeration Documentation

enum QwtDialSimpleNeedle::Style

Style of the needle.

Enumerator
Arrow | Arrow.
Ray | A straight line from the center.

## Constructor & Destructor Documentation

QwtDialSimpleNeedle::QwtDialSimpleNeedle | ( | Style | style,
|  | bool | hasKnob = `true`,
|  | const QColor & | mid = `Qt::gray`,
|  | const QColor & | base = `Qt::darkGray`
| ) |  |

Constructor

Parameters

  style | Style
  hasKnob | With/Without knob
  mid | Middle color
  base | Base color

## Member Function Documentation

void QwtDialSimpleNeedle::drawNeedle | ( | QPainter * | painter,
|  | double | length,
|  | QPalette::ColorGroup | colorGroup
| ) |  | const

protectedvirtual

Draw the needle

Parameters

  painter | Painter
  length | Length of the needle
  colorGroup | Color group, used for painting

Implements QwtDialNeedle.

void QwtDialSimpleNeedle::setWidth | ( | double | width | ) |

Set the width of the needle

Parameters

  width | Width

See Also
  width()

double QwtDialSimpleNeedle::width | ( |  | ) | const

Returns
  the width of the needle

See Also
  setWidth()